org.apache.sling.hapi.client.forms.internal

## Class Vals

- java.lang.Object
- - org.apache.sling.hapi.client.forms.internal.Vals

    public class Vals
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Vals()`

### Method Summary

Methods
`void` `add(String name, org.apache.http.NameValuePair pair)`
`List<? extends org.apache.http.NameValuePair>` `flatten()`
`boolean` `has(String name)`
`void` `set(org.apache.http.NameValuePair pair)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Vals

    public Vals()

### Method Detail

#### add

    public void add(String name,
           org.apache.http.NameValuePair pair)

#### has

    public boolean has(String name)

#### set

    public void set(org.apache.http.NameValuePair pair)

#### flatten

    public List<? extends org.apache.http.NameValuePair> flatten()